com.google.gwt.user.cellview.client

## Interface SimplePager.Resources

- All Superinterfaces:
    ClientBundle
  Enclosing class:
    SimplePager

      public static interface SimplePager.Resources
      extends ClientBundle

  A ClientBundle that provides images for this widget.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.google.gwt.resources.client.ClientBundle

      `ClientBundle.Source`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ImageResource` | `simplePagerFastForward()` The image used to skip ahead multiple pages.
    `ImageResource` | `simplePagerFastForwardDisabled()` The disabled "fast forward" image.
    `ImageResource` | `simplePagerFirstPage()` The image used to go to the first page.
    `ImageResource` | `simplePagerFirstPageDisabled()` The disabled first page image.
    `ImageResource` | `simplePagerLastPage()` The image used to go to the last page.
    `ImageResource` | `simplePagerLastPageDisabled()` The disabled last page image.
    `ImageResource` | `simplePagerNextPage()` The image used to go to the next page.
    `ImageResource` | `simplePagerNextPageDisabled()` The disabled next page image.
    `ImageResource` | `simplePagerPreviousPage()` The image used to go to the previous page.
    `ImageResource` | `simplePagerPreviousPageDisabled()` The disabled previous page image.
    `SimplePager.Style` | `simplePagerStyle()` The styles used in this widget.

- - ### Method Detail

    - #### simplePagerFastForward

          @ImageResource.ImageOptions(flipRtl=true)
          ImageResource simplePagerFastForward()

      The image used to skip ahead multiple pages.

    - #### simplePagerFastForwardDisabled

          @ImageResource.ImageOptions(flipRtl=true)
          ImageResource simplePagerFastForwardDisabled()

      The disabled "fast forward" image.

    - #### simplePagerFirstPage

          @ImageResource.ImageOptions(flipRtl=true)
          ImageResource simplePagerFirstPage()

      The image used to go to the first page.

    - #### simplePagerFirstPageDisabled

          @ImageResource.ImageOptions(flipRtl=true)
          ImageResource simplePagerFirstPageDisabled()

      The disabled first page image.

    - #### simplePagerLastPage

          @ImageResource.ImageOptions(flipRtl=true)
          ImageResource simplePagerLastPage()

      The image used to go to the last page.

    - #### simplePagerLastPageDisabled

          @ImageResource.ImageOptions(flipRtl=true)
          ImageResource simplePagerLastPageDisabled()

      The disabled last page image.

    - #### simplePagerNextPage

          @ImageResource.ImageOptions(flipRtl=true)
          ImageResource simplePagerNextPage()

      The image used to go to the next page.

    - #### simplePagerNextPageDisabled

          @ImageResource.ImageOptions(flipRtl=true)
          ImageResource simplePagerNextPageDisabled()

      The disabled next page image.

    - #### simplePagerPreviousPage

          @ImageResource.ImageOptions(flipRtl=true)
          ImageResource simplePagerPreviousPage()

      The image used to go to the previous page.

    - #### simplePagerPreviousPageDisabled

          @ImageResource.ImageOptions(flipRtl=true)
          ImageResource simplePagerPreviousPageDisabled()

      The disabled previous page image.

    - #### simplePagerStyle

          @ClientBundle.Source(value="SimplePager.css")
          SimplePager.Style simplePagerStyle()

      The styles used in this widget.